package com.jiayue.insu.incloud.config;

import cn.dev33.satoken.stp.SaTokenInfo;
import cn.dev33.satoken.stp.StpUtil;
import com.baomidou.mybatisplus.core.handlers.MetaObjectHandler;
import lombok.extern.slf4j.Slf4j;
import org.apache.ibatis.reflection.MetaObject;
import org.springframework.stereotype.Component;

import java.time.LocalDateTime;

@Slf4j
@Component
public class MyMetaObjectHandler implements MetaObjectHandler {

    @Override
    public void insertFill(MetaObject metaObject) {
        SaTokenInfo tokenInfo = StpUtil.getTokenInfo();
        log.info("start insert fill ....");

        this.strictInsertFill(metaObject, "creator", String.class,  (String)tokenInfo.getLoginId()); // 起始版本 3.3.0(推荐使用)

        this.strictInsertFill(metaObject, "createTime", LocalDateTime.class, LocalDateTime.now()); // 起始版本 3.3.0(推荐使用)

    }

    @Override
    public void updateFill(MetaObject metaObject) {
        log.info("start update fill ....");
        SaTokenInfo tokenInfo = StpUtil.getTokenInfo();

        this.strictInsertFill(metaObject, "lastModifier", String.class, (String)tokenInfo.getLoginId()); // 起始版本 3.3.0(推荐使用)

        this.strictInsertFill(metaObject, "lastModifyTime", LocalDateTime.class, LocalDateTime.now()); // 起始版本 3.3.0(推荐使用)
    }
}