package com.jiayue.insu.incloud.constants;

/**
 * @description: 状态常量
 * @author: yuanhao
 * @createDate: 2021/8/20
 * @version: 1.0
 */
public interface StatusConstant {

    /**
     *  请求成功
     */
    String REQUEST_SUCCESS = "T200";
    /**
     * token已过期
     */
    String TOKEN_EXPIRE = "I101";
    /**
     * 无效token
     */
    String TOKEN_INVALID = "I102";

    /**
     * 签名失败
     */
    String AUTOGRAPH_FAIL ="I103";

    /**
     * 用户未登录，请先登录
     */
    String LOGIN_NOT ="I104";

    /**
     * 返回非json格式
     */
    String RESPONSE_ERROR1="E500";
    /**
     * 返回空
     */
    String RESPONSE_ERROR2="E600";
    /**
     * 链接超时断开
     */
    String RESPONSE_ERROR3="E700";
    /**
     * 未请求到token
     */
    String RESPONSE_ERROR4="E800";



    /**
     * 上午
     */
    String AM_DAY ="AM";
    /**
     * 下午
     */
    String PM_DAY = "PM";

    /**
     * 初始化数据下载成功
     */
    String INIT_STATUS_SUCCESS ="SUCCESS";
    /**
     * 请求初始化文件失败
     */
    String INIT_STATUS_REQUEST_FAIL="REQUEST_FAIL";
    /**
     * 请求初始化文件返回响应失败
     */
    String INIT_STATUS_RESPONSE_FAIL="RESPONSE_FAIL";
    /**
     * 查无初始化文件
     */
    String INIT_STATUS_FILE_NULL ="FILE_NULL";
    /**
     * 请求初始化文件列表失败
     */
    String INIT_STATUS_FAIL = "FAIL";



    /**
     * 下载初始化文件错误
     */
    String INIT_STATUS_FILE_FAIL ="FILE_NULL_ERROE";


    /**
     * 上送数据缺少
     */
    String UPLOAD_STATUS_DATA_LACK="DATA_LACK";
    /**
     * 修正数据缺少
     */
    String Correct_STATUS_DATA_LACK="DATA_LACK";

    /**
     * 解析失败或没有修正完成
     */
    String Correct_STATUS_DATA_FAIL="DATA_FAIL";


    String AMEND_GEN_FILE_SUCCESS="SUCCESS";

    String AMEND_GEN_FILE_ERROE="GEN_ERROR";

    String AMEND_FILE_MONIL_ERROR="UPLOAD_ERROR";

    String ET_PHOTOVOLTAIC = "E1";

    String ET_WIND = "E2";




}
