package com.jiayue.insu.incloud.controller;

import cn.hutool.core.date.DateUtil;
import com.jiayue.insu.common.core.util.R;
import com.jiayue.insu.incloud.entity.Quartz;
import com.jiayue.insu.incloud.entity.Station;
import com.jiayue.insu.incloud.pulldata.PullCorrectData;
import com.jiayue.insu.incloud.quartz.ScheduledTask;
import org.quartz.SchedulerException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.text.ParseException;

@RestController
@RequestMapping("/test")
public class TestController {
   @GetMapping
    public R test(){
       return R.ok("ok");
   }

    @Autowired
    ScheduledTask scheduledTask;
    @Autowired
    PullCorrectData pullCorrectData;
    @GetMapping("/job")
    public R testJob() throws ClassNotFoundException, SchedulerException, ParseException {
        scheduledTask.deleteJob("testJob2");
        Quartz quartz = new Quartz();
        quartz.setExecuteClass("com.jiayue.insu.incloud.job.data.pull.ZGHpullDataJob");
        quartz.setCronExpression("0 17 15 * * ?");
        quartz.setJobName("testJob2");
        quartz.setStartTime(DateUtil.current());
        Class c = Class.forName(quartz.getExecuteClass());
        scheduledTask.scheduleJob(c,quartz.getJobName(),quartz.getStartTime(),quartz.getCronExpression(),null);
        return R.ok();
    }



    @GetMapping("/job1")
    public R testJob1() throws ClassNotFoundException, SchedulerException, ParseException {
        Station station = new Station();
        station.setStationCode("J00219");
        station.setInCode("QNHL");
        pullCorrectData.pullDQAndNWPData(station);
        return R.ok();
    }
}
