package com.jiayue.insu.incloud.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;


/**
 * 短期
 *
 * @author yh
 * @version 1.0
 * @since 2020/7/8 10:56
 */
@TableName(value = "in_forecast_data")
@Data
public class ForecastData {
    /**
     * Id
     */
    @TableId(type = IdType.AUTO)
    private Long id;


    private String stationCode;


    private String inCode;

    //下载时间
    private LocalDateTime initTime;

    //上送时间
    private LocalDateTime uploadTime;

    //预测时间
    private Long forecastTime;
    /**
     * 预测功率（MW）
     */
    private BigDecimal fpValue;


    /**
     * 总辐射
     */
    private BigDecimal swr;


    /**
     * 直辐射
     */
    private BigDecimal directRadiation;

    /**
     * 散辐射
     */
    private BigDecimal diffuseRadiation;


    //风速
    private BigDecimal windSpeed;


    //风向
    private BigDecimal windDir;


    //气温
    private BigDecimal temperature;


    //相对湿度
    private BigDecimal humidity;


    //压力
    private BigDecimal pressure;



}
