package com.jiayue.insu.incloud.job.permission;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.jiayue.insu.incloud.compermisson.QNHLComPermisson;
import com.jiayue.insu.incloud.constants.CompanyConstant;
import com.jiayue.insu.incloud.entity.Station;
import com.jiayue.insu.incloud.service.StationService;
import org.quartz.Job;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

/**
 * 清能互联 通讯token Job
 *
 * @author yh
 * @version 1.0
 * @since 2022/5/22 11:29
 */
public class QNHLPermissonJob implements Job {
    @Autowired
    private QNHLComPermisson qNHLComPermisson;
    @Autowired
    private StationService stationService;
    @Override
    public void execute(JobExecutionContext jobExecutionContext) throws JobExecutionException {
        LambdaQueryWrapper<Station> lambdaQueryWrapper = new LambdaQueryWrapper<>();
        lambdaQueryWrapper.eq(Station::getInCode, CompanyConstant.COMPANY_QNHL);
        List<Station> list = stationService.list(lambdaQueryWrapper);
        for (Station station:list) {
            qNHLComPermisson.generateKey(station);
        }
    }
}
